summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2010-09-18 08:38:08 +0000
committerMike Frysinger <vapier@gentoo.org>2010-09-18 08:38:08 +0000
commit4f323a548e97d84f65d1efc2f8468535c5959638 (patch)
treeebf264e0ba0070f6fa8d591ba1172f8a250725c6 /eclass
parentVersion bump: better compatibility with ruby 1.8.6. (diff)
downloadhistorical-4f323a548e97d84f65d1efc2f8468535c5959638.tar.gz
historical-4f323a548e97d84f65d1efc2f8468535c5959638.tar.bz2
historical-4f323a548e97d84f65d1efc2f8468535c5959638.zip
drop distutils support now that upstream too has dropped it
Diffstat (limited to 'eclass')
-rw-r--r--eclass/enlightenment.eclass12
1 files changed, 3 insertions, 9 deletions
diff --git a/eclass/enlightenment.eclass b/eclass/enlightenment.eclass
index 7ded2e91abbc..32795129df15 100644
--- a/eclass/enlightenment.eclass
+++ b/eclass/enlightenment.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/enlightenment.eclass,v 1.86 2010/08/28 21:15:24 tommy Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/enlightenment.eclass,v 1.87 2010/09/18 08:38:08 vapier Exp $
# @ECLASS: enlightenment.eclass
# @MAINTAINER:
@@ -73,11 +73,9 @@ fi
# Parse requested python state
: ${E_PYTHON:=${E_CYTHON}}
if [[ -n ${E_PYTHON} ]] ; then
- WANT_AUTOTOOLS="no"
-
PYTHON_DEPEND="2:2.4"
- inherit python distutils
+ inherit python
fi
if [[ ${WANT_AUTOTOOLS} == "yes" ]] ; then
@@ -159,11 +157,7 @@ enlightenment_src_configure() {
enlightenment_src_compile() {
hasq src_configure ${ENLIGHTENMENT_EXPF} || enlightenment_src_configure
- if [[ -z ${E_PYTHON} ]] ; then
- emake || die "emake failed"
- else
- distutils_src_compile
- fi
+ emake || die
if use doc ; then
if [[ -x ./gendoc ]] ; then